apiVersion: v1
kind: Service
metadata:
  name: {{ include "common.fullname" . }}
  labels:
    {{- include "common.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.ports.http }}
      targetPort: http
      protocol: TCP
      name: http
    - port: {{ .Values.service.ports.live }}
      targetPort: live
      protocol: TCP
      name: live
  selector:
    {{- include "common.selectorLabels" . | nindent 4 }}
